<div *ngIf="!submitted" class="card">
    <h4 class="card-header">Search for available flight</h4>
    <div class="card-body">
        <form [formGroup]="form" (ngSubmit)="Search()">
            <div class="form-group">
                <label for="username">source</label>
                <input type="text" formControlName="source" class="form-control" />
            </div>
            <div class="form-group">
                <label for="password">destination</label>
                <input type="text" formControlName="destination" class="form-control" />
            </div>
            <div class="form-group">
                <label for="birthdaytime">date and time :</label>
                <input formControlName="datetime" type="datetime-local" id="birthdaytime" name="birthdaytime">
            </div>
            <div class="form-group">
                <button [disabled]="loading" class="btn btn-primary">
                    Search Flights
                </button>
            </div>
        </form>
    </div>
</div>

<div *ngIf="submitted && !bookingflight">
    <h3 class="p-3 text-center">List of Available Flights</h3>
    <div class="container">
        <table class="table table-striped table-bordered">
            <thead>
                <tr>
                    <th>Flight Name</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let flight of flights">
                    <td (click)="clickFlightBooking(flight)">{{flight.name}}</td>
                </tr>
            </tbody>
        </table>
    </div>
</div>

<div *ngIf="bookingflight">
    <h3 class="p-3 text-center"> Booking Flight </h3>
    <div class="container">
        <table class="table table-striped table-bordered">
            <thead>
                <tr>
                    <th>{{bookingflight.name}}</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let time of bookingflight.timings">
                    <td (click)="BookFlight(bookingflight,time)">{{time}}</td>
                </tr>
            </tbody>
        </table>
    </div>
</div>